Bug 85142 - Clarified JSGlobalData (JavaScript VM) lifetime
: Clarified JSGlobalData (JavaScript VM) lifetime
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Geoffrey Garen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 12:18 PDT by Geoffrey Garen
Modified: 2012-05-11 15:16 PDT (History)
5 users (show)

See Also:


Attachments
Patch (33.61 KB, patch)
2012-04-28 13:15 PDT, Geoffrey Garen
no flags Details | Formatted Diff | Diff
Patch (2.06 KB, patch)
2012-05-08 18:28 PDT, Geoffrey Garen
ap: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Geoffrey Garen 2012-04-28 12:18:24 PDT
Clarified JSGlobalData (JavaScript VM) lifetime
Comment 1 Geoffrey Garen 2012-04-28 13:15:37 PDT
Created attachment 139371 [details]
Patch
Comment 2 Anders Carlsson 2012-04-28 13:26:20 PDT
Comment on attachment 139371 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=139371&action=review

> Source/JavaScriptCore/ChangeLog:37
> +        notwithstaning, C++ does in fact know how to execute destructors in 

Speling error, notwithstaning.

> Source/JavaScriptCore/runtime/JSGlobalData.h:155
> +        Heap heap;

Could you add a comment here about the destruction order so nobody will accidentally move this?
Comment 3 Early Warning System Bot 2012-04-28 13:27:17 PDT
Comment on attachment 139371 [details]
Patch

Attachment 139371 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12552666
Comment 4 Early Warning System Bot 2012-04-28 13:32:06 PDT
Comment on attachment 139371 [details]
Patch

Attachment 139371 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12553679
Comment 5 Build Bot 2012-04-28 13:36:42 PDT
Comment on attachment 139371 [details]
Patch

Attachment 139371 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12558684
Comment 6 Geoffrey Garen 2012-04-28 13:50:33 PDT
Committed r115579: <http://trac.webkit.org/changeset/115579>
Comment 7 Alexey Proskuryakov 2012-04-30 11:11:50 PDT
Comment on attachment 139371 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=139371&action=review

> Source/JavaScriptCore/ChangeLog:42
> +        (JSGlobalContextCreate): Removed compatibility shim for older 
> +        operating systems because it's no longer used.

This was not a shim for older operating systems, this was for applications linked against older versions of WebKit. I think that this removal is a mistake.
Comment 8 Geoffrey Garen 2012-05-08 18:21:06 PDT
Reopening, because Alexey is right.
Comment 9 Geoffrey Garen 2012-05-08 18:28:24 PDT
Created attachment 140839 [details]
Patch
Comment 10 Alexey Proskuryakov 2012-05-08 21:42:10 PDT
Geoff, please file a Radar for the follow-up fix.
Comment 11 Geoffrey Garen 2012-05-11 15:13:35 PDT
<rdar://problem/11437914>
Comment 12 Geoffrey Garen 2012-05-11 15:16:05 PDT
Committed r116809: <http://trac.webkit.org/changeset/116809>